do $$
  begin

    --
    -- Name: stepIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepConsoles' and indexname = 'stepIdI') then
      CREATE INDEX "stepIdI" ON public."stepConsoles" USING btree ("stepId");
    end if;

    --
    -- Name: stepConsolesPipelineIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepConsoles' and indexname = 'stepConsolesPipelineIdI') then
      CREATE INDEX "stepConsolesPipelineIdI" ON public."stepConsoles" USING btree ("pipelineId");
    end if;

  end
$$
