--
-- Name: projectIntegrations; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."projectIntegrations" (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    "projectId" smallint NOT NULL,
    "masterIntegrationId" integer NOT NULL,
    "masterIntegrationType" character varying(255) NOT NULL,
    "masterIntegrationName" character varying(255) NOT NULL,
    "providerId" integer,
    "propertyBag" text,
    "createdByUserName" character varying(255) NOT NULL,
    "updatedByUserName" character varying(255) NOT NULL,
    "createdBy" integer NOT NULL,
    "updatedBy" integer NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: projectIntegrations_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."projectIntegrations_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: projectIntegrations_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."projectIntegrations_id_seq" OWNED BY public."projectIntegrations".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."projectIntegrations" ALTER COLUMN id SET DEFAULT nextval('public."projectIntegrations_id_seq"'::regclass);
